
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

function validate()
{
	resetColorLabels('campos2','');

	var erro=0;
	var msg='\nPreencha os seguintes campos:\n';

	/*------------------------------------------------------------------------
	|        VERIFICANDO PREENCHIMENTO DE CAMPOS OBRIGATORIOS                |
	-------------------------------------------------------------------------*/

	/* VALIDANDO DATA DA MATRICULA */
	if(isEmpty(document.getElementById('form_codEscola').value))
	{
		msg+='\n -> C�digo INEP da Escola';
        if(erro==0)
	        document.getElementById('form_codEscola').focus();
        erro=1;
        
        changeBack('l_codEscola','form_codEscola','label_alert','field_alert');
	}
	
	if(isEmpty(document.getElementById('form_nomeEscola').value))
	{
		msg+='\n -> Nome da Escola';
        if(erro==0)
	        document.getElementById('form_nomeEscola').focus();
        erro=1;
        
        changeBack('l_nomeEscola','form_nomeEscola','label_alert','field_alert');
	}
	
	if(isEmpty(document.getElementById('form_nomeDiretorEscola').value))
	{
		msg+='\n -> Nome do Diretor da Escola';
        if(erro==0)
	        document.getElementById('form_nomeDiretorEscola').focus();
        erro=1;
        
        changeBack('l_nomeDiretorEscola','form_nomeDiretorEscola','label_alert','field_alert');
	}
	else if(!validaNome(document.getElementById('form_nomeDiretorEscola').value))
	{
		msg+='\n -> Nome do Diretor da Escola(preenchimento inv�lido)';
        if(erro==0)
	        document.getElementById('form_nomeDiretorEscola').focus();
        erro=1;
        
        changeBack('l_nomeDiretorEscola','form_nomeDiretorEscola','label_alert','field_alert');
	}
	
	if(isEmpty(document.getElementById('form_matriculaDiretorEscola').value))
	{
		msg+='\n -> Matr�cula do Diretor da Escola';
        if(erro==0)
	        document.getElementById('form_matriculaDiretorEscola').focus();
        erro=1;
        
        changeBack('l_matriculaDiretorEscola','form_matriculaDiretorEscola','label_alert','field_alert');
	}
	
	if( isEmpty(document.getElementById('form_logradouroTipoEscola').value) )
	{
		msg+='\n -> Tipo (logradouro)';
		changeBack('l_logradouroTipoEscola','form_logradouroTipoEscola','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_logradouroTipoEscola').focus();
        erro=1;
	}

	if( isEmpty(document.getElementById('form_logradouroNomeEscola').value) )
	{
		msg+='\n -> Logradouro';
		changeBack('l_logradouroNomeEscola','form_logradouroNomeEscola','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_logradouroNomeEscola').focus();
        erro=1;
	}

	if( isEmpty(document.getElementById('form_logradouroNumeroEscola').value) )
	{
		msg+='\n -> Numero';
		changeBack('l_logradouroNumeroEscola','form_logradouroNumeroEscola','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_logradouroNumeroEscola').focus();
        erro=1;
	}

	if( isEmpty(document.getElementById('form_logradouroUfEscola').value) )
	{
		msg+='\n -> UF';
		changeBack('l_logradouroUfEscola','form_logradouroUfEscola','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_logradouroUfEscola').focus();
        erro=1;
	}

	if( isEmpty(document.getElementById('form_logradouroCidadeEscola').value) )
	{
		msg+='\n -> Cidade';
		changeBack('l_logradouroCidadeEscola','form_logradouroCidadeEscola','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_logradouroCidadeEscola').focus();
        erro=1;
	}

	if( isEmpty(document.getElementById('form_logradouroBairroEscola').value) )
	{
		msg+='\n -> Bairro';
		changeBack('l_logradouroBairroEscola','form_logradouroBairroEscola','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_logradouroBairroEscola').focus();
        erro=1;
	}
	
	if( isEmpty(document.getElementById('form_logradouroCepEscola').value) )
	{
		msg+='\n -> CEP';
		changeBack('l_logradouroCepEscola','form_logradouroCepEscola','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_logradouroCepEscola').focus();
        erro=1;
	}
	
	if(document.getElementById('form_semTelefone').checked == false)
	{
		if(isEmpty(document.getElementById('form_telEscola1').value) &&
			isEmpty(document.getElementById('form_telEscola2').value) &&
			isEmpty(document.getElementById('form_telEscola3').value) &&
			isEmpty(document.getElementById('form_telPublico').value))
		{
			msg+='\n -> Ao menos um telefone';
	        if(erro==0)
		        document.getElementById('form_telEscola1').focus();
	        erro=1;
	        
	        changeBack('l_telsEscola','form_telEscola1','label_alert','field_alert');
		}
	}
	
	if(erro==0)
		return true;
	else
	{
		alert(msg);
		return false;
	}
}